Subject: Re: [PATCH v3] i2c: Driver to expose PowerNV platform i2c busses

From: Wolfram Sang <[email-masked]>
Date: Mon, 8 Dec 2014 21:55:20 +0100

On Tue, Dec 09, 2014 at 07:13:15AM +1100, Benjamin Herrenschmidt wrote:
> On Mon, 2014-12-08 at 12:06 +0530, Neelesh Gupta wrote:
> > The patch exposes the available i2c busses on the PowerNV platform
> > to the kernel and implements the bus driver to support i2c and
> > smbus commands.
> > The driver uses the platform device infrastructure to probe the busses
> > on the platform and registers them with the i2c driver framework.
> 
> Wolfram, what are you remaining objections here ? We need that in
> distros ASAP ...

Oh, I thought we agreed that you take it via powerpc. I still think this
is the best solution.

> I still maintain that it's not reasonable to hold driver for the
> additions of multi-byte smbus offsets. This is a new feature that will
> require changes to a number of existing bus and device drivers, so a
> very pervasive change, and which will be visible to user space, which
> means that drivers will need to continue supporting the "old" way at
> least for a while anyway...

Yeah, I agree on that. I am still unsure about the port-name binding,
but well, if it is needed to fit your PowerNV scheme...

> > Signed-off-by: Neelesh Gupta <[email-masked]>
> > Signed-off-by: Benjamin Herrenschmidt <[email-masked]>
> > ---
> > 
> > v2 -> v3:
> > - Added the device tree binding documentation for the driver.
> > - Sorted the ordering of this new driver added in Makefile.
> > - Removed populating the superfluous .owner field in 'struct driver'.

Thanks for the updates!